@import "variables";
@import "mixins";
@import "bootstrap/variables";

@import "src/retina.scss";

@import "sprite";

@import "layout/general";
@import "layout/fonts";
@import "layout/utilities";
@import "layout/header";

.home {
  @include retina('../images/bg-header.jpg', 2, cover, center center no-repeat);
  position: relative;
  overflow: hidden;
}

.cover {
  position: relative;
  height: calc(100vh - 112px);
  max-height: 500px;

  @media #{$xxs} {
    height: calc(100vh - 170px);
  }

  .girl {
    position: absolute;
    left: 0;
    top: -15px;
    pointer-events: none;

    @media #{$lg} {
      left: -100px;
    }
    @media #{$md} {
      left: -170px;
    }
    @media #{$sm} {
      left: auto;
      right: 30%;
    }
    @media #{$xs} {
      left: auto;
      right: 30%;
    }
    @media #{$xxs} {
      left: auto;
      right: 19%;
    }
  }

  .top-text {
    padding-top: 60px;

    @media #{$sm} {
      padding-top: 30px;
    }
  }

  .promo {
    letter-spacing: 0.6pt;
  }

  .call {

    .leaf {
      position: absolute;
      top: 0;
      right: 0;
      top: 40px;
      right: 40px;
      display: none;
      pointer-events: none;

      @media #{$sm} {
        display: none;
      }
    }
  }

  // .text {
  //   padding: 90px 0px 0px 30px;

  //   @media #{$lg} {
  //     padding: 90px 0px 0px 0px;
  //   }

  //   @media #{$sm} {
  //     padding: 0px 0px 110px 0px;
  //   }

  //   .leaf {
  //     position: absolute;
  //     right: 40px;
  //     bottom: -10px;
  //     z-index: 1;
  //   }
  //   .title {
  //     font-size: 1.429rem;
  //     z-index: 2;
  //     position: relative;

  //     @media #{$sm} {
  //       font-size: 1.2rem;
  //     }
  //   }
  //   p {
  //     z-index: 2;
  //     position: relative;
  //   }
  // }

  .form-wrapper {
    z-index: 5;
    position: relative;
  }
}

.call-btn {
  @include transition(.5s);
  height: auto;

  &:hover {
    transform: rotate(360deg);
  }

  @media #{$xxs} {
    max-width: 134px;
    margin-bottom: -15px;
    margin-top: -15px;
  }
}

.dr-top {
  top: -10px;
  right: -10px;
  position: absolute;
  z-index: 10;
  pointer-events: none;
}

.top-info-wrapper {

  @media #{$sm} {
    max-width: 300px;
    float: right;
  }

  @media #{$xs} {
    max-width: 260px;
    float: right;
  }
}

// Forms
.form-control {
  box-shadow: none;
  font-family: $font-family-sans-serif;
  @include transition(.2s);

  &:focus {
    box-shadow: none;
  }

  &.name { 
    @include retina('../images/sprite.png', 2, $name-icon-total-width $name-icon-total-height, calc(#{$name-icon-offset-x} + 15px) calc(#{$name-icon-offset-y} + 15px) no-repeat rgba(255,255,255, 0.4));
    padding-left: 40px;
    background-repeat: no-repeat;
  }

  &.email {
    @include retina('../images/sprite.png', 2, $icon-email-total-width $icon-email-total-height, calc(#{$icon-email-offset-x} + 15px) calc(#{$icon-email-offset-y} + 13px) no-repeat rgba(255,255,255, 0.4));
    padding-left: 40px;
  }

  &.phone {
    @include retina('../images/sprite.png', 2, $icon-phone-total-width $icon-phone-total-height, calc(#{$icon-phone-offset-x} + 15px) calc(#{$icon-phone-offset-y} + 12px) no-repeat rgba(255,255,255, 0.4));
    padding-left: 40px;
  }

  &-transparent {
    background: rgba(255,255,255, 0.4);
    color: #fff;
    font-weight: 300;
    text-transform: uppercase;
    font-size: 12px;
    height: 38px;
    border: none;

    &::-webkit-input-placeholder {
      color: #fff;
    }

    &:-ms-input-placeholder {
      color: #fff;
    }

    &:-moz-placeholder {
      color: #fff;
    }

    &::-moz-placeholder {
      color: #fff;
    }


    &:focus {
      background-color: rgba(255,255,255, 0.6);
    }
  }
}

//
.underline {
  padding-bottom: 15px;
  position: relative; 
  
  &:after {
    content: "";
    position: absolute;
    background: #fff;
    height: 2px;
    width: 40px;
    clear: both;
    display: block;
    left: 50%;
    margin-left: -20px;
    top: 15px;
  }
}

//
.btn {
  @include transition(.2s);

  &-bordered {
    background: transparent;
    border: 2px solid rgba(255,255,255, 0.4);
    border-radius: 50px;
    height: 40px;
    color: #fff;
    text-transform: uppercase;
    font-size: 12px;
    line-height: 2.8;

    &:focus, &:hover, &:active.focus {
      border-color: transparent;
      background-color: rgba(255,255,255, 0.6);
      color: $blue;
      outline: none;
      box-shadow: none;
    }
  }

  &-blue {
    background: $blue;
    border: 1px solid $blue;
    border-radius: 0px;
    color: #fff;
    text-transform: uppercase;

    &:focus, &:hover, &:active.focus {
      background: darken($blue, 10%);
      border: 1px solid darken($blue, 10%);
      color: #fff;
      outline: none;
      box-shadow: none;
    }
  }
}

//
.products-cover-wrapper {
  height: 50px;
}

.products-cover {
  position: absolute;
  position: absolute;
  left: 50%;
  transform: translate(-50%, 0);
  bottom: 5px;
  pointer-events: none;
  z-index: 2;

  @media #{$sm} {
    max-width: 350px;
  }
  @media #{$xxs} {
    width: 80%;
    height: auto;
  }
}

.benefits {
  font-size: 1.143rem;

  @media #{$xxs} {
    padding-top: 10px;
    padding-bottom: 10px;
  }

  .title {

    @media #{$xxs} {
      font-size: 1rem;
    }
  }

  &-list {
    background: rgba($blue-light, 0.3);
    border-radius: 50px;
    padding-left: 10px;
    padding-right: 10px;

    @media #{$xxs} {
        margin-left: -10px;
        margin-right: -10px;
      }

    li {
      margin: 10px;

      &:not(:last-child) {
        border-right: 2px solid #fff;
        padding-right: 20px;
      }

      & .icon {
        position: relative;
        margin-top: -5px;
        margin-left: 5px;

        @media #{$xxs} {
          margin-left: 2px;
        }
      }

      @media #{$sm} {
        border: none !important;
        padding-right: 0px !important;
      }
      @media #{$xxs} {
        padding-left: 0px !important;
        margin-right: 6px;
        margin-left: 6px;
        font-size: 10px;
      }
    }

    @media #{$xs} {
      font-size: 1rem;
      padding-left: 0px;
      padding-right: 0px;
      border-radius: 5px;
    }
  }
}

//
.about {
  @include retina('../images/bg-about.jpg', 2, cover, center center no-repeat);
  padding: 4.5rem 0;

  .logo-wrapper {
    padding-bottom: 20px;
    margin-bottom: 20px;
    border-bottom: 2px solid #fff;
  }

  .content {

    .title {
      position: relative;

      span {
        position: relative;
        z-index: 2;
      }

      .leaf {
        position: absolute;
        bottom: 15px;
        right: -10px;
        z-index: 1;
      }
    }

  }

  .icons-wrapper {
    max-width: 270px;
  }
}

// 
.slide {
  width: 100%;
  position: relative;
  display: none; // show first slide if js is disabled

  &.slick-initialized {
    display: block;
  }
}

.slick-slide {
  &:focus {
    outline: none;
  }
}

.product-carousel {

  .slick-prev, .slick-next {
    @include transition(.2s);
    z-index: 10;
    width: 38px;
    height: $arrow-left-height;

    &:before {
      display: none;
    }

  }

 .slick-prev {
    @include retina('../images/sprite.png', 2, $arrow-left-total-width $arrow-left-total-height, right calc(#{$arrow-left-offset-x} + 0px) top calc(#{$arrow-left-offset-y} + 0px) no-repeat);
    left: 25px; 

    &:hover {
      left: 20px; 
    }
  }

  .slick-next {
    @include retina('../images/sprite.png', 2, $arrow-right-total-width $arrow-right-total-height, right calc(#{$arrow-right-offset-x} + 5px) top calc(#{$arrow-right-offset-y} + 0px) no-repeat);
    right: 25px; 

    &:hover {
      right: 20px; 
    } 
  } 

  .slick-slide a {
    @include transition(.2s);
    padding-top: 4.286rem;
    padding-bottom: 7.143rem;
    padding-left: 15px;
    padding-right: 15px;
    display: block;

    &:focus, &:hover {
      opacity: 0.8;
      outline: none;
    }
  }

  .item-color-1 a {
    @include retina('../images/bg-slides/bg-slide-1.jpg', 2, cover, center center no-repeat);
  }

  .item-color-2 a {
    @include retina('../images/bg-slides/bg-slide-2.jpg', 2, cover, center center no-repeat);
  }

  .item-color-3 a {
    @include retina('../images/bg-slides/bg-slide-3.jpg', 2, cover, center center no-repeat);
  }

  .item-color-4 a {
    @include retina('../images/bg-slides/bg-slide-4.jpg', 2, cover, center center no-repeat);
  }

  .item-color-5 a {
    @include retina('../images/bg-slides/bg-slide-5.jpg', 2, cover, center center no-repeat);
  }

  .item-color-6 a {
    @include retina('../images/bg-slides/bg-slide-6.jpg', 2, cover, center center no-repeat);
  }

  .item-color-7 a {
    @include retina('../images/bg-slides/bg-slide-7.jpg', 2, cover, center center no-repeat);
  }

  .item-color-8 a {
    @include retina('../images/bg-slides/bg-slide-8.jpg', 2, cover, center center no-repeat);
  }

  .item-color-9 a {
    @include retina('../images/bg-slides/bg-slide-9.jpg', 2, cover, center center no-repeat);
  }

  .item-color-10 a {
    @include retina('../images/bg-slides/bg-slide-10.jpg', 2, cover, center center no-repeat);
  }
}

// Modal
.modal-content {
  border-radius: 0;
  box-shadow: 0 2px 3px rgba(0,0,0,.1);
}

// Center boostrap modal
.modal {
  text-align: center;
  padding: 0!important;

  &::before {
    content: '';
    display: inline-block;
    height: 100%;
    vertical-align: middle;
    margin-right: -4px;
  }
}

.modal-dialog {
  display: inline-block;
  text-align: left;
  vertical-align: middle;
}

.close-modal {
  @include transition(.2s);
    position: absolute;
    cursor: pointer;
    top: 15px;
    right: 15px;
    z-index: 100;

    &:hover {
      opacity: 0.4;
    }
  }

.modal-body {

  .img-wrapper, .content-wrapper {

    @media #{$sm} {
      width: 100%;
      display: block;
    }
  }

  .content-wrapper {

    .title {
      border-bottom: 1px solid $blue;
      margin-bottom: 20px;
      padding-bottom: 15px;
    }
  } 
}

//
.diaseases {
  padding-top: 100px;
  padding-bottom: 100px;
}

.accordion {

  &-title {
    margin-bottom: 40px;
  }

  .panel {
    border: 0;
    box-shadow: none;
    margin-bottom: 20px;

    .panel-heading {
      background: $blue;
      height: 50px;

      .panel-title {
        @include retina('../images/sprite.png', 2, $arrow-down-total-width $arrow-down-total-height, right calc(#{$arrow-down-offset-x} + 15px) top calc(#{$arrow-down-offset-y} + 15px) no-repeat);
        height: 100%;

        &[aria-expanded="true"] {
          @include retina('../images/sprite.png', 2, $arrow-up-total-width $arrow-up-total-height, right calc(#{$arrow-up-offset-x} + 15px) top calc(#{$arrow-up-offset-y} + 15px) no-repeat);
        }

        a {
          display: block;
          cursor: pointer;
          height: 100%;
          padding-top: 15px;
          margin: 0;
        }

      }

    }

    .panel-body {
      border: none !important;
    }
  }
}

.testimonials {
  padding: 4.5rem 0;
}

.section-title {
  padding: 15px 15px;
  min-width: 350px;
  border-radius: 50px;

  @media #{$xxs} {
    min-width: auto;
    padding: 15px 45px;
  }
}

.testimonials-slide {
  max-width: 660px;
  margin: 0 auto;

  .slick-next {
    @include retina('../images/sprite.png', 2, $arrow-blue-total-width $arrow-blue-total-height, $arrow-blue-offset-x $arrow-blue-offset-y no-repeat);
    right: -85px;

    @media #{$md} {
      right: -25px;
    }
    @media #{$sm} {
      display: none !important;
    }
  }

  .slick-prev {
    @include retina('../images/sprite.png', 2, $arrow-blue2-total-width $arrow-blue2-total-height, $arrow-blue2-offset-x $arrow-blue2-offset-y no-repeat);
    left: -85px;

    @media #{$md} {
      left: -25px;
    }
    @media #{$sm} {
      display: none !important;
    }
  }

  .slick-prev, .slick-next {
    @include transition(.2s);
    width: 19px;
    height: 35px;
    color: transparent;
    margin-top: -20px;

    &:before {
      display: none;
    }

    &:hover {
      opacity: 0.6;
    }
  }

  blockquote {
    @include retina('../images/quote.png', 2, 46px 36px, top 45px left 0px no-repeat);
    font-size: 1rem;
    line-height: 1.6;
    border-left: none;
    padding-left: 60px;
    padding-top: 60px;
    padding-bottom: 60px;

    p {
      @include retina('../images/quote2.png', 2, 46px 36px, bottom 5px right 0px no-repeat);
      padding-right: 60px;
    }

    small {
      padding-right: 60px;
      padding-top: 20px;
      font-size: 1rem;
    }
  }
}

.product-footer {
  @include retina('../images/bg-footer.jpg', 2, cover, bottom 5px right 0px no-repeat);
  padding-top: 3.571rem; // 50px
  padding-bottom: 3.571rem; // 50px;
}

// 
.footer-top {
  padding-top: 2.857rem; // 40px
  padding-bottom: 2.857rem; // 40px
}

.footer {

  a {
    color: $text-color;
  }
}

.menu-footer {

  li {
    &:not(:last-child) {
      border-right: 1px solid $gray;
    }

    @media #{$xs} {
      border-right: none !important;
      display: block;
    }

    a {
      font-size: 10px;
      color: $gray;
      padding: 3px 5px;

      &:hover {
        opacity: 0.8;
      }
    }
  }
}

.logos-footer {
  padding-top: 2rem; // 28px
  padding-bottom: 2rem; // 28px

  li {

      @media #{$xs} {
        margin-right: 0px;
        margin-left: 0px;
      }

    img {

      @media #{$xs} {
        max-width: 100px;
        height: auto;
      }
    }
  }
}

.full-page {
  background-color: #f2f2f2;

  &-wrapper {
    padding-top: 50px;
    padding-bottom: 50px;
  }

  .footer {
    background: #fff;
  }
}
